Data feed for schedule occurrences (legacy)

πŸ“˜οΈ
For organizations on the new Schedules experience, use the Data feed for schedule occurrences for new builds.

πŸ“˜οΈ Important update

Starting February 1, 2025, we will standardize the date and time format in Feed APIs.

  • New format: {year}-{month}-{day}T{hour}:{min}:{sec}[.{frac_sec}]Z
  • Example: 2014-01-28T23:14:23.000Z

Until this change is implemented, you can continue to use the current format. After this date, API requests with incorrect formats will return an error. We would recommend that you update your applications to the new format as soon as possible.
Learn more

When returning data from the schedule_occurrences feed, the start_date and end_date apply to the due_time field of each occurrence.

This means that even if an occurrence was started and completed within the specified time range, it may not appear in the results.

Example of data returned from occurrences API, with start_data and end_date parameters

In this example monthly_2 -> monthly_7 and quarterly_1 -> quarterly_2 are returned from the API as their due_time fall within the state_date and end_date.

Query Params
int32

Maximum number of schedules to consider (max 500)

int32

The number of entries to offset from the beginning of the queried result set.

date-time

Filter by schedule occurrences that are due after this date and time in the Internet Date-Time format. For example, 2014-01-28T23:14:23.000Z. Default: NOW - 5 months

date-time

Schedule occurrences that are due before this time, default: now + 1 month.

template
array of strings

Filter by schedule occurrences that are due before this date and time in the Internet Date-Time format. For example, 2014-01-28T23:14:23.000Z. Default: NOW + 1 months

template
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json